Accounts Payable
Bills, vendors, and payments
Query accounts payable
x-api-key<token>
API key for programmatic access
In: header
Query Parameters
entityId*string
Format
uuidview*string
Value in
"bills" | "vendors" | "aging" | "ledger"status?string
Filter bills by status (when view=bills)
counterpartyId?string
Required when view=ledger
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://app.axiomatic.us/api/ap?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08&view=bills"{}{
"error": "string"
}{
"error": "string"
}Perform an AP action
x-api-key<token>
API key for programmatic access
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://app.axiomatic.us/api/ap" \ -H "Content-Type: application/json" \ -d '{ "action": "create_vendor", "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5", "name": "string" }'{}{
"error": "string"
}{
"error": "string"
}